%define glib_version 2.6.0
%define gtk_version 2.8.0
%define libgnomeui_version 2.13.0
%define libmusicbrainz_version 2.1.0
%define gstreamer_version 0.10.3
%define gconf_version 2.14
%define gnome_media_version 2.11.91
%define gnome_vfs_version 2.9.90
%define nautilus_cd_burner_version 2.15.3
%define hal_version 0.5.0
%define scrollkeeper_version 0.3.5

Name:		sound-juicer
Summary:	Clean and lean CD ripper
Version:	2.16.0
Release:	3%{?dist}
License:	GPL
Group:		Applications/Multimedia
Source:		%{name}-%{version}.tar.bz2
Patch0:		sound-juicer-2.16.0-audioresample.patch
Patch1:		sound-juicer-2.16.0-prefs.patch
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216821
Patch2:		sound-juicer-2.16.0-freeze.patch
Patch3:		sound-juicer-2.16.0-auth.patch
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216823
Patch4:		sound-juicer-2.16.0-speed.patch
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216824
Patch5:		sound-juicer-2.16.0-strip.patch
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216825
Patch6:		sound-juicer-2.16.0-date.patch
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216826
Patch7:		sound-juicer-2.16.0-a11y.patch
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216828
Patch8:		sound-juicer-2.16.0-icon.patch
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216830
Patch9:         sound-juicer-2.16.0-none.patch
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216829
Patch10:	sound-juicer-2.16.0-reread.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libmusicbrainz >= %{libmusicbrainz_version}
Requires:	libgnomeui >= %{libgnomeui_version}
Requires:	glib2 >= %{glib_version}
Requires:	gtk2 >= %{gtk_version}
Requires:	gstreamer >= %{gstreamer_version}
Requires:	cdparanoia
Requires:	nautilus-cd-burner >= %{nautilus_cd_burner_version}
Requires:	gnome-media >= %{gnome_media_version}

Requires(pre): GConf2 >= %{gconf_version}
Requires(post): GConf2 >= %{gconf_version}
Requires(preun): GConf2 >= %{gconf_version}
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

BuildRequires:  gnome-media-devel >= %{gnome_media_version}
BuildRequires:	libmusicbrainz-devel >= %{libmusicbrainz_version}
BuildRequires:	libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:	glib2-devel >= %{glib_version}
BuildRequires:	gtk2-devel >= %{gtk_version}
BuildRequires:	gstreamer-devel >= %{gstreamer_version}
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gstreamer-plugins-good-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	GConf2-devel >= %{gconf_version}
BuildRequires:  hal-devel >= %{hal_version}
BuildRequires:  gnome-vfs2-devel >= %{gnome_vfs_version}
BuildRequires:  nautilus-cd-burner-devel >= %{nautilus_cd_burner_version}
BuildRequires:  scrollkeeper >= %{scrollkeeper_version}
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser

# http://bugzilla.gnome.org/show_bug.cgi?id=157772
ExcludeArch: s390
ExcludeArch: s390x

%description
GStreamer-based CD ripping tool. Saves audio CDs to Ogg/vorbis.

%prep
%setup -q
%patch0 -p1 -b .audioresample
%patch1 -p1 -b .prefs
%patch2 -p1 -b .freeze
%patch3 -p1 -b .auth
%patch4 -p1 -b .speed
%patch5 -p1 -b .strip
%patch6 -p1 -b .date
%patch7 -p1 -b .a11y
%patch8 -p1 -b .icon
%patch9 -p1 -b .none
%patch10 -p1 -b .reread

%build
# work around a gstreamer problem where it 
# doesn't find plugins the first time around
/usr/bin/gst-inspect-0.10 --print-all > /dev/null
%configure --enable-hal --disable-scrollkeeper

make AM_CFLAGS=-export-dynamic

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1;
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
%find_lang sound-juicer

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/sound-juicer.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/sound-juicer.schemas > /dev/null || :
fi

%post
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/sound-juicer.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi

%postun
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi

%files -f sound-juicer.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/sound-juicer
%{_sysconfdir}/gconf/schemas/sound-juicer.schemas
%{_datadir}/sound-juicer
%{_datadir}/applications/sound-juicer.desktop
%{_datadir}/gnome/help/sound-juicer
%{_datadir}/omf/sound-juicer
%{_datadir}/icons/hicolor/*

%changelog
* Wed Nov 22 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-3
- Backport a number of fixes from 2.16.2 (216821, 216823,
  216824, 216825, 216826, 216828, 216829, 216830)

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-2
- Fix scripts according to the packaging guidelines

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0

* Sun Aug 20 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.5.1-1.fc6
- Update to 2.15.5.1

* Thu Aug  3 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-1.fc6
- Update to 2.15.4

* Wed Jul 19 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.3-3
- Rebuild against dbus

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.15.3-2.1
- rebuild

* Wed Jun 14 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.3-2
- Work around a gstreamer problem

* Wed Jun 14 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.3-1
- Update to 2.15.3

* Sat Jun 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2.1-3
- More missing BuildRequires

* Sat May 20 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2.1-2
- Add missing BuildRequires (#182174)

* Tue May 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2.1-1
- Update to 2.15.2.1

* Mon Apr 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.3-2
- Update to 2.14.3

* Mon Apr 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.2-2
- Update to 2.14.2

* Wed Apr  5 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-2
- Update to 2.14.1

* Sun Mar 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Tue Feb 28 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.6-1
- Update to 2.13.6

* Sun Feb 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.5-1
- Update to 2.13.5

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.4-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.4-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb  5 2006 Christopher Aillon <caillon@redhat.com> 2.13.4-3
- Fix broken Requires

* Sat Feb  4 2006 Christopher Aillon <caillon@redhat.com> 2.13.4-2
- Update to use gstreamer (0.10)

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> 2.13.4-1
- Update to 2.13.4

* Mon Jan 09 2006 John (J5) Palmieri <johnp@redhat.com> 2.13.2-1
- Upgrade to 2.13.2

* Mon Jan 09 2006 John (J5) Palmieri <johnp@redhat.com> 2.13.1-4
- Add a patch that adds -Wl,--export-dynamic to the build

* Thu Jan 05 2006 John (J5) Palmieri <johnp@redhat.com> 2.13.1-3
- GStreamer has been split into gstreamer08 and gstreamer (0.10) packages
  we need gstreamer08 for now

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec 02 2005 John (J5) Palmieri <johnp@redhat.com> 2.13.1-2
- Rebuild with new libnautilus-cd-burner

* Wed Aug 17 2005 Matthias Clasen <mclasen@redhat.com> 2.13.1-1
- Update to 2.13.1

* Wed Aug 17 2005 Matthias Clasen <mclasen@redhat.com> 2.11.91-1
- Newer upstream version

* Tue Jul 12 2005 Matthias Clasen <mclasen@redhat.com> 2.11.3-1
- Newer upstream version

* Mon Apr 04 2005 John (J5) Palmieri <johnp@redhat.com> 2.10.1-1
- update to upstream 2.10.1 which should fix crashes when clicking
  extract

* Wed Mar 23 2005 John (J5) Palmieri <johnp@redhat.com> 2.10.0-2
- Rebuild for libmusicbrainz-2.1.1

* Fri Mar 11 2005 John (J5) Palmieri <johnp@redhat.com> 2.10.0-1
- Update to upstream version 2.10.0 

* Tue Mar 08 2005 John (J5) Palmieri <johnp@redhat.com> 2.9.91-3
- Build in rawhide
- Disable build on s390 and s390x

* Fri Feb 25 2005 John (J5) Palmieri <johnp@redhat.com> 2.9.91-2
- Reenabled BuildRequires for hal-devel >= 0.5.0
- Added (Build)Requires for nautilus-cd-burner(-devel) >= 2.9.6

* Wed Feb 23 2005 John (J5) Palmieri <johnp@redhat.com> 2.9.91-1
- New upstream version (version jump resulted from sound-juicer using gnome
  versioning scheme)
  
* Fri Feb 04 2005 Colin Walters <walters@redhat.com> 0.6.0-1
- New upstream version
- Remove obsoleted sound-juicer-idle-safety.patch
- BR latest gnome-media

* Fri Nov 12 2004 Warren Togami <wtogami@redhat.com> 0.5.14-5
- minor spec cleanups
- req cdparanoia and gstreamer-plugins

* Tue Nov 09 2004 Colin Walters <walters@redhat.com> 0.5.14-4
- Add sound-juicer-idle-safety.patch (bug 137847)

* Wed Oct 27 2004 Colin Walters <walters@redhat.com> 0.5.14-2
- Actually enable HAL
- BR hal-devel

* Wed Oct 13 2004 Colin Walters <walters@redhat.com> 0.5.14-1
- New upstream
- This release fixes corruption on re-read, upstream 153085
- Remove upstreamed sound-juicer-0.5.13-prefs-crash.patch

* Mon Oct 04 2004 Colin Walters <walters@redhat.com> 0.5.13-2
- Apply patch to avoid prefs crash

* Tue Sep 28 2004 Colin Walters <walters@redhat.com> 0.5.13-1
- New upstream 0.5.13

* Mon Sep 27 2004 Colin Walters <walters@redhat.com> 0.5.12.cvs20040927-1
- New upstream CVS snapshot, 20040927

* Mon Sep 20 2004 Colin Walters <walters@redhat.com> 0.5.12-1
- New upstream version 0.5.12
- Delete upstreamed patch sound-juicer-0.5.9-pref-help.patch
- Delete upstreamed patch sound-juicer-0.5.10-gstreamer.patch
- Delete call to autoconf

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> 0.5.10.1-8
- rebuild for new gstreamer

* Thu Mar 11 2004 Brent Fox <bfox@redhat.com> 0.5.10.1-5
- rebuild

* Fri Feb 27 2004 Brent Fox <bfox@redhat.com> 0.5.10.1-3
- rebuild

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb  5 2004 Brent Fox <bfox@redhat.com> 0.5.10.1-1
- new version

* Wed Jan 28 2004 Alexander Larsson <alexl@redhat.com> 0.5.9-4
- rebuild to use new gstreamer

* Fri Jan 16 2004 Brent Fox <bfox@redhat.com> 0.5.9-3
- add %preun to clean up GConf entries on uninstall

* Wed Jan 14 2004 Brent Fox <bfox@redhat.com> 0.5.9-2
- create init patch to make help work

* Tue Jan 13 2004 Brent Fox <bfox@redhat.com> 0.5.9-1
- update to 0.5.9

* Mon Dec 15 2003 Christopher Blizzard <blizzard@redhat.com> 0.5.8-1
- Add upstream patch that fixes permissions of created directories.

* Wed Dec 03 2003 Christopher Blizzard <blizzard@redhat.com> 0.5.8-0
- Update to 0.5.8

* Tue Oct 21 2003 Brent Fox <bfox@redhat.com> 0.5.5-1
- update to 0.5.5-1

* Mon Sep  1 2003 Jonathan Blandford <jrb@redhat.com>
- warning dialog fix
- add a quality option

* Fri Aug 29 2003 Elliot Lee <sopwith@redhat.com> 0.5.2-5
- scrollkeeper stuff should be removed

* Wed Aug 27 2003 Brent Fox <bfox@redhat.com> 0.5.2-4
- remove ExcludeArches since libmusicbrainz is building on all arches now

* Wed Aug 27 2003 Brent Fox <bfox@redhat.com> 0.5.2-3
- bump relnum

* Wed Aug 27 2003 Brent Fox <bfox@redhat.com> 0.5.2-2
- spec file cleanups
- add exclude arch for ia64, x86_64, ppc64, and s390x
- add %file macros 
- remove Requires for gstreamer-cdparanoia and gstreamer-vorbis

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com>
- Use more macros

* Sun Apr 20 2003 Ronald Bultje <rbultje@ronald.bitfreak.net>
- Make spec file for sound-juicer (based on netRB spec file)
